![Lano Visualizer Screenshot](https://raw.githubusercontent.com/MarcoPixel/marcopixel.github.io/master/img/lano.png "Lano Visualizer Screenshot")

# lano-visualizer

A simple but highly configurable realtime audio visualizer with rounded bars.

Supports all major media players, including full Spotify (thanks to **[.raptor](https://forum.rainmeter.net/viewtopic.php?t=17077)** for the Spotify plugin) and Google Play Music Desktop Player (thanks to **[@tjhrulz](https://github.com/tjhrulz)** for his plugin) support.

## Minimum Requirements:
 - Windows 7 or higher.
 - Rainmeter 4.0 (r2746) or higher.

## Features

- Live visualization of the audio output
- Customizable colors and fonts
- Cover-based colors (All supported players)
- Desktop-based colors
- Support for all major media players
- Full Spotify support
- Full Google Play Music Desktop Player support
- Settings skin for easier customization/configuration
- Hide skin when media player is not running

## Important notes


- You need at least **Rainmeter 4.0 (r2746) or higher** to get all features of this skin. You can find the newest version on https://www.rainmeter.net/
- After installation you can access the settings by right-clicking the visualizer or song information and then clicking on Open Settings.
- Due to limitations of Rainmeter/the plugin used for the visualization the complete audio output of your system will be shown on the visualizer. For the best experience only play music. This is something I can’t fix.

## Getting started

### Automatic installation

&nbsp;&nbsp;&nbsp;**1.**  Download the latest skin here: https://github.com/MarcoPixel/Lano-Visualizer/releases

&nbsp;&nbsp;&nbsp;**2.**  Install the skin by **double-clicking** the .rmskin file and going through the installer.

&nbsp;&nbsp;&nbsp;**3.**  After finishing the setup Rainmeter will open the settings skin where you can access additional options.

&nbsp;&nbsp;&nbsp;**4.**  You're done! Enjoy your new desktop visualizer!

### Manual installation

&nbsp;&nbsp;&nbsp;**1.**  Clone this repo to **Documents\Rainmeter\Skins**.

&nbsp;&nbsp;&nbsp;**2.**  Go to **.installer\plugins** and then move the 32 or 64-bit plugins (depending on your system) to &nbsp;&nbsp;&nbsp;**AppData\Roaming\Rainmeter\Plugins**.

&nbsp;&nbsp;&nbsp;**3.**  Launch Rainmeter and right-click the tray icon, press Skins and go to **Lano-Visualizer** and open &nbsp;&nbsp;&nbsp;**Settings\intro\intro.ini**.

&nbsp;&nbsp;&nbsp;**4.**  You're done! Enjoy your new desktop visualizer!
To access the settings, right-click the visualizer and press Open &nbsp;&nbsp;&nbsp;Settings.

## Troubleshooting and FAQs

You can access the frequently asked questions and our troubleshooting guide in our Monstercat-Visualizer wiki.
#### [Click here to open the wiki](https://github.com/MarcoPixel/Monstercat-Visualizer/wiki).

## Issues & feature requests

If you still have issues or a bug, please report them [here](https://github.com/MarcoPixel/Lano-Visualizer/issues). Be sure to include details like the operating system, Rainmeter version and logs so we can help you as much as we can.

You can also request new features and help them develop by joining the discussion. Just add the **request label** to your issue and we will have a look!

#### [Click here to get to the open issues](https://github.com/MarcoPixel/Lano-Visualizer/issues).

### Credits

- **Rainmeter Skin** - MarcoPixel
- **AudioLevel Plugin (visualizer)** - **[@dcgrace](https://github.com/dcgrace/AudioLevel)**
- **Spotify Plugin** - **[.raptor](https://forum.rainmeter.net/viewtopic.php?t=17077)** from the Rainmeter Forums
- **Google Play Music Desktop Player Plugin** - **[@tjhrulz](https://github.com/tjhrulz/GPMDP-Plugin)**
- **Nexa Font** - FontFabric (thanks to **[RekaVM](http://rekavm.deviantart.com/)** for showing me the fonts)
- Thanks to **undefinist** for letting me use his factory code (made everything so much easier and cleaner)
- Thanks to **[@alatsombath](https://github.com/alatsombath)** for letting me use his audio device picker code :thumbsup:
